- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
CLPatchTable Class Reference

CL patch table. More...

`#include <clPatchTable.h>`

Inheritance diagram for CLPatchTable:

## Public Member Functions
| ~CLPatchTable ()
| Destructor. More...
cl_mem | GetPatchArrayBuffer () const
| Returns the CL memory of the array of Osd::PatchArray buffer. More...
cl_mem | GetPatchIndexBuffer () const
| Returns the CL memory of the patch control vertices. More...
cl_mem | GetPatchParamBuffer () const
| Returns the CL memory of the array of Osd::PatchParam buffer. More...

## Static Public Member Functions
static CLPatchTable * | Create (Far::PatchTable const *patchTable, cl_context clContext)
| Creator. Returns NULL if error. More...
template<typename DEVICE_CONTEXT >
static CLPatchTable * | Create (Far::PatchTable const *patchTable, DEVICE_CONTEXT context)

## Protected Member Functions
| CLPatchTable ()
bool | allocate (Far::PatchTable const *patchTable, cl_context clContext)

## Protected Attributes
cl_mem | _patchArrays
cl_mem | _indexBuffer
cl_mem | _patchParamBuffer

## Detailed Description

CL patch table.

This class is a CL buffer representation of Far::PatchTable.

CLEvaluator consumes this table to evaluate on the patches.

Definition at line 50 of file clPatchTable.h.

## Constructor & Destructor Documentation

~CLPatchTable | ( |  | ) |

Destructor.

CLPatchTable | ( |  | ) |
| protected

## Member Function Documentation

bool allocate | ( | Far::PatchTable const * | patchTable,
|  | cl_context | clContext
| ) |  |
| protected

static CLPatchTable* Create | ( | Far::PatchTable const * | patchTable,
|  | cl_context | clContext
| ) |  |
| static

Creator. Returns NULL if error.

static CLPatchTable* Create | ( | Far::PatchTable const * | patchTable,
|  | DEVICE_CONTEXT | context
| ) |  |
| inline static

Definition at line 57 of file clPatchTable.h.

cl_mem GetPatchArrayBuffer | ( |  | ) | const
| inline

Returns the CL memory of the array of Osd::PatchArray buffer.

Definition at line 66 of file clPatchTable.h.

cl_mem GetPatchIndexBuffer | ( |  | ) | const
| inline

Returns the CL memory of the patch control vertices.

Definition at line 69 of file clPatchTable.h.

cl_mem GetPatchParamBuffer | ( |  | ) | const
| inline

Returns the CL memory of the array of Osd::PatchParam buffer.

Definition at line 72 of file clPatchTable.h.

## Member Data Documentation

cl_mem _indexBuffer
| protected

Definition at line 80 of file clPatchTable.h.

cl_mem _patchArrays
| protected

Definition at line 79 of file clPatchTable.h.

cl_mem _patchParamBuffer
| protected

Definition at line 81 of file clPatchTable.h.

The documentation for this class was generated from the following file:

- opensubdiv/osd/clPatchTable.h